You have held broken packages Emnet er løst

Her kan du få hjælp til installationen af Ubuntu.
danielarnason
Indlæg: 4
Tilmeldt: 28. feb 2018, 09:25

You have held broken packages

Indlægaf danielarnason » 28. feb 2018, 10:35

Hej alle

Jeg har et problem, som jeg simpelthen ikke kan finde en forklaring eller løsning på. Jeg synes, at jeg har prøvet alt - det har jeg nok ikke, men jeg har prøvet meget!

Jeg skal til at installere et program, som hedder QGIS (Open Source GIS program), men for en underlig fejlmeddelelse, når jeg prøver at køre sudo apt install qgis. Man kan se fejlmeddelelsen her https://pastebin.com/BUiz3uVW

Jeg aner ikke, hvad jeg kan gøre?

Håber, at nogen kan hjælpe

AJenbo
Admin
Indlæg: 20676
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: You have held broken packages

Indlægaf AJenbo » 28. feb 2018, 10:46

Hej og velkommen til forummet

Prøv at give os resultatet fra føllgende kommando:

Kode: Vælg alt

dpkg --get-selections | grep hold


Følgende kan måske løse de:

Kode: Vælg alt

sudo apt update
sudo apt install -f
sudo dpkg --configure -a
sudo apt upgrade
sudo apt autoremove

danielarnason
Indlæg: 4
Tilmeldt: 28. feb 2018, 09:25

Re: You have held broken packages

Indlægaf danielarnason » 28. feb 2018, 11:08

Hej og mange tak for det hurtige svar :)

Hvis jeg kører

Kode: Vælg alt

dpkg --get-selections | grep hold

så kommer der ingenting frem.

Jeg prøvede også:

Kode: Vælg alt

sudo apt update
sudo apt install -f
sudo dpkg --configure -a
sudo apt upgrade
sudo apt autoremove

men det virkede heller ikke. Jeg får stadigvæk den samme slags fejlmeddelelse :(

AJenbo
Admin
Indlæg: 20676
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: You have held broken packages

Indlægaf AJenbo » 28. feb 2018, 13:02

Hvad svare den når du køre:

Kode: Vælg alt

sudo apt install -f

danielarnason
Indlæg: 4
Tilmeldt: 28. feb 2018, 09:25

Re: You have held broken packages

Indlægaf danielarnason » 28. feb 2018, 15:39

Den svarer med det her:

Kode: Vælg alt

➜  ~ sudo apt install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Stra
Indlæg: 3100
Tilmeldt: 16. jun 2007, 10:26
Geografisk sted: Ikast-Herning

Re: You have held broken packages

Indlægaf Stra » 28. feb 2018, 19:30

stra
Bruger Ubuntu 20.04 og 21.10 + lubuntu 20.04

AJenbo
Admin
Indlæg: 20676
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: You have held broken packages  Emnet er løst

Indlægaf AJenbo » 28. feb 2018, 22:14

Vejledningen på den side er ikke helt optimal så her får du det lige i en lidt bedre form:

Kode: Vælg alt

sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable
sudo apt update
sudo apt install qgis

For forhåbentlig vil det løse det (samt installere den seneste version af programmet).

Problemet er muligvis at du har tilføjet nogle arkiver der bryder med nogle af qgis's afhængigheder.
Følgende vil give os et indblik i hvilke du har tilføjet:

Kode: Vælg alt

ls /etc/apt/sources.list.d
cat /etc/apt/sources.list


og følgende vil vise os hvis der er nogle generelle problemer med dem:

Kode: Vælg alt

sudo apt update

danielarnason
Indlæg: 4
Tilmeldt: 28. feb 2018, 09:25

Re: You have held broken packages

Indlægaf danielarnason » 7. mar 2018, 10:30

Det virkede at tilføje ubuntugis-unstable! :)

Mange tak for hjælpen!

Klaus Rasmussen
Admin
Indlæg: 5256
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: You have held broken packages

Indlægaf Klaus Rasmussen » 7. mar 2018, 10:32

Fint du blev hjulpet. Så mangler du bare at sætte "flueben" ved det svar der hjalp dig.
Med Venlig Hilsen
Klaus

Kører Ubuntu 20.04 på Lenovo-H515s, 64bit og 21.10 på HP Probook 4520s, 64 bit.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
MEGA Share: https://mega.nz/#F!XNM1ALpL!G_CEVUUE9ZvotKPa4o4PLA

Tilbage til "Installation"

Hvem er online

Brugere der læser dette forum: [Crawler] og 0 gæster